Caddy(8)

NAME
caddy-completion - Generate completion script

SYNOPSIS
caddy completion [bash|zsh|fish|powershell]

DESCRIPTION
To load completions:

    Bash:

      $ source <(caddy completion bash)

      # To load completions for each session, execute once:
      # Linux:
      $ caddy completion bash > /etc/bash_completion.d/caddy
      # macOS:
      $ caddy completion bash > $(brew --prefix)/etc/bash_completion.d/caddy

    Zsh:

      # If shell completion is not already enabled in your environment,
      # you will need to enable it.  You can execute the following once:

      $ echo "autoload -U compinit; compinit" >> ~/.zshrc

      # To load completions for each session, execute once:
      $ caddy completion zsh > "${fpath[1]}/_caddy"

      # You will need to start a new shell for this setup to take effect.

    fish:

      $ caddy completion fish | source

      # To load completions for each session, execute once:
      $ caddy completion fish > ~/.config/fish/completions/caddy.fish

    PowerShell:

      PS> caddy completion powershell | Out-String | Invoke-Expression

      # To load completions for every new session, run:
      PS> caddy completion powershell > caddy.ps1
      # and source this file from your PowerShell profile.

OPTIONS
-h, --help[=false]
    help for completion

SEE ALSO
caddy(8)

HISTORY
1-Jan-0001 Auto generated by spf13/cobra